Page MenuHomePhabricator

Special:Userrights does not display temporary groups if the user is in no non-temporary, non-automatic groups
Closed, ResolvedPublic

Description

According to the API result, User:淺藍雪 is in the sysop group of zh.wikisource. However, it isn't shown in Special:Userrights

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 21 2018, 12:18 PM
Aklapper updated the task description. (Show Details)Jun 21 2018, 12:49 PM
Aklapper renamed this task from Missing rights in Special:Userrights to Specific user shown in API result for sysop group on zh.wikisource but not listed on Special:Userrights page.Jun 21 2018, 1:37 PM
Anomie claimed this task.Jun 21 2018, 8:07 PM
Anomie added a subscriber: Anomie.

The bug is in Special:Userrights, it's not displaying temporary groups if the user is in no non-temporary, non-automatic groups.

Anomie renamed this task from Specific user shown in API result for sysop group on zh.wikisource but not listed on Special:Userrights page to Special:Userrights does not display temporary groups if the user is in no non-temporary, non-automatic groups.Jun 21 2018, 8:07 PM
Anomie moved this task from Inbox to MWPT-Q4-Apr-Jun-2018 on the MediaWiki-Platform-Team board.

Change 441436 had a related patch set uploaded (by Anomie; owner: Anomie):
[mediawiki/core@master] Fix Special:Userrights temp groups with no non-temp groups

https://gerrit.wikimedia.org/r/441436

Change 441436 merged by jenkins-bot:
[mediawiki/core@master] Fix Special:Userrights temp groups with no non-temp groups

https://gerrit.wikimedia.org/r/441436

Anomie closed this task as Resolved.Jun 22 2018, 1:36 PM

The fix should be deployed to Wikimedia wikis with 1.32.0-wmf.10 or later, see https://www.mediawiki.org/wiki/MediaWiki_1.32/Roadmap for a schedule.

Vvjjkkii renamed this task from Special:Userrights does not display temporary groups if the user is in no non-temporary, non-automatic groups to 7iaaaaaaaa.Jul 1 2018, 1:02 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Anomie as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
Xaosflux renamed this task from 7iaaaaaaaa to Special:Userrights does not display temporary groups if the user is in no non-temporary, non-automatic groups.Jul 1 2018, 3:58 AM
Xaosflux closed this task as Resolved.
Xaosflux assigned this task to Anomie.
Xaosflux lowered the priority of this task from High to Normal.
Xaosflux updated the task description. (Show Details)